Debian Bug report logs - #704809
dvb-apps and scalasca: error when trying to install together

version graph

Packages: scalasca, dvb-apps; Maintainer for scalasca is (unknown); Maintainer for dvb-apps is Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>; Source for dvb-apps is src:linuxtv-dvb-apps.

Reported by: Ralf Treinen <treinen@free.fr>

Date: Sat, 6 Apr 2013 06:33:06 UTC

Severity: serious

Tags: jessie, sid

Found in versions scalasca/1.4.3-1, dvb-apps/1.1.1+rev1483-2, scalasca/1.4.2-1

Fixed in version scalasca/2.0-1

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sylvestre Ledru <sylvestre@debian.org>, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#704809; Package scalasca,dvb-apps. (Sat, 06 Apr 2013 06:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Sylvestre Ledru <sylvestre@debian.org>, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

dvb-apps/1.1.1+rev1483-2

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 06 Apr 2013 06:33:10 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: dvb-apps and scalasca: error when trying to install together
Date: Sat, 06 Apr 2013 08:30:32 +0200
Package: scalasca,dvb-apps
Version: scalasca/1.4.2-1
Version: dvb-apps/1.1.1+rev1483-2
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2013-04-06
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  libquadmath0 libgfortran3 libgomp1 libpng12-0 libxau6 libxdmcp6 libxcb1
  libx11-data libx11-6 libzvbi-common libzvbi0 libnuma1 libtorque2 dvb-apps
  libibverbs1 libopenmpi1.3 scalasca
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package libquadmath0:amd64.
(Reading database ... 10775 files and directories currently installed.)
Unpacking libquadmath0:amd64 (from .../libquadmath0_4.7.2-5_amd64.deb) ...
Selecting previously unselected package libgfortran3:amd64.
Unpacking libgfortran3:amd64 (from .../libgfortran3_4.7.2-5_amd64.deb) ...
Selecting previously unselected package libgomp1:amd64.
Unpacking libgomp1:amd64 (from .../libgomp1_4.7.2-5_amd64.deb) ...
Selecting previously unselected package libpng12-0:amd64.
Unpacking libpng12-0:amd64 (from .../libpng12-0_1.2.49-3_amd64.deb) ...
Selecting previously unselected package libxau6:amd64.
Unpacking libxau6:amd64 (from .../libxau6_1%3a1.0.7-1_amd64.deb) ...
Selecting previously unselected package libxdmcp6:amd64.
Unpacking libxdmcp6:amd64 (from .../libxdmcp6_1%3a1.1.1-1_amd64.deb) ...
Selecting previously unselected package libxcb1:amd64.
Unpacking libxcb1:amd64 (from .../libxcb1_1.8.1-2_amd64.deb) ...
Selecting previously unselected package libx11-data.
Unpacking libx11-data (from .../libx11-data_2%3a1.5.0-1_all.deb) ...
Selecting previously unselected package libx11-6:amd64.
Unpacking libx11-6:amd64 (from .../libx11-6_2%3a1.5.0-1_amd64.deb) ...
Selecting previously unselected package libzvbi-common.
Unpacking libzvbi-common (from .../libzvbi-common_0.2.33-7_all.deb) ...
Selecting previously unselected package libzvbi0:amd64.
Unpacking libzvbi0:amd64 (from .../libzvbi0_0.2.33-7_amd64.deb) ...
Selecting previously unselected package libnuma1.
Unpacking libnuma1 (from .../libnuma1_2.0.8-1_amd64.deb) ...
Selecting previously unselected package libtorque2.
Unpacking libtorque2 (from .../libtorque2_2.4.16+dfsg-1_amd64.deb) ...
Selecting previously unselected package dvb-apps.
Unpacking dvb-apps (from .../dvb-apps_1.1.1+rev1483-2_amd64.deb) ...
Selecting previously unselected package libibverbs1.
Unpacking libibverbs1 (from .../libibverbs1_1.1.6-1_amd64.deb) ...
Selecting previously unselected package libopenmpi1.3.
Unpacking libopenmpi1.3 (from .../libopenmpi1.3_1.4.5-1_amd64.deb) ...
Selecting previously unselected package scalasca.
Unpacking scalasca (from .../scalasca_1.4.2-1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/scalasca_1.4.2-1_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/scan', which is also in package dvb-apps 1.1.1+rev1483-2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/scalasca_1.4.2-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/bin/scan

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.



Marked as found in versions scalasca/1.4.2-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 06 Apr 2013 19:12:04 GMT) Full text and rfc822 format available.

Marked as found in versions dvb-apps/1.1.1+rev1483-2. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 06 Apr 2013 19:12:05 GMT) Full text and rfc822 format available.

Added tag(s) sid. Request was from "Ólafur Jens Sigurðsson" <ojsbug@gmail.com> to control@bugs.debian.org. (Sat, 06 Apr 2013 19:51:15 GMT) Full text and rfc822 format available.

Marked as found in versions scalasca/1.4.3-1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Sun, 07 Apr 2013 05:27:04 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:40:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sylvestre Ledru <sylvestre@debian.org>, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#704809; Package scalasca,dvb-apps. (Fri, 02 Aug 2013 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Grunewald <steffen.grunewald@aei.mpg.de>:
Extra info received and forwarded to list. Copy sent to Sylvestre Ledru <sylvestre@debian.org>, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Fri, 02 Aug 2013 14:27:05 GMT) Full text and rfc822 format available.

Message #20 received at 704809@bugs.debian.org (full text, mbox):

From: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
To: Debian Bug Tracking System <704809@bugs.debian.org>
Subject: Move subcommands to /usr/lib/scalasca?
Date: Fri, 02 Aug 2013 16:15:20 +0200
Package: scalasca
Severity: normal


I had found this about one year ago with a previous version of scalasca,
and suggested to the authors to rename the subcommands (like scan, skin, square)
like it's been done with cube3_* - or move them into /usr/lib/scalasca (which
is the approach I like most).
This would need modification of the wrapper script /usr/bin/scalasca though.



Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Tue, 10 Sep 2013 13:51:13 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Tue, 10 Sep 2013 13:51:13 GMT) Full text and rfc822 format available.

Message #25 received at 704809-close@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 704809-close@bugs.debian.org
Subject: Bug#704809: fixed in scalasca 2.0-1
Date: Tue, 10 Sep 2013 13:48:25 +0000
Source: scalasca
Source-Version: 2.0-1

We believe that the bug you reported is fixed in the latest version of
scalasca, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704809@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <sylvestre@debian.org> (supplier of updated scalasca package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Aug 2013 10:16:40 +0200
Source: scalasca
Binary: scalasca
Architecture: source amd64
Version: 2.0-1
Distribution: unstable
Urgency: low
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Changed-By: Sylvestre Ledru <sylvestre@debian.org>
Description: 
 scalasca   - Scalable performance Analysis of Large-Scale parallel Application
Closes: 704809
Changes: 
 scalasca (2.0-1) unstable; urgency=low
 .
   * New upstream release (Closes
   * Make scalasca conflicts with dvb-apps which conflicts on /usr/bin/scan
     (Closes: #704809)
   * scalasca-examples removed
   * hardening flags added
   * manpages added
   * Standards-Version updated to 3.9.4
   * Switch to compat mode 9
   * Fix some typo in the copyright file
Checksums-Sha1: 
 20cbe15f8d864d868ad4bc015924fd208da314ce 1299 scalasca_2.0-1.dsc
 0c8ab7026b642838973abbe1887a495fe64acf06 5241453 scalasca_2.0.orig.tar.bz2
 1d6a7c176125b656ba475fe750ac7bb4f640816a 3646 scalasca_2.0-1.debian.tar.gz
 939371d33853118fe01bda5a4b346e33c1157824 1518878 scalasca_2.0-1_amd64.deb
Checksums-Sha256: 
 58d9abccb6b6fd5a2fe054a3e2db90376f91fd8e50b326b68391f4ae609948d1 1299 scalasca_2.0-1.dsc
 2bea230669d037648c7311a5e6d2dfafc9a2476ec2d6ba95d8b8e1fe339e32b2 5241453 scalasca_2.0.orig.tar.bz2
 b68b903a80585a170334bc2c73a828c66de757947ae787faee099d7a13cb3ad3 3646 scalasca_2.0-1.debian.tar.gz
 c1907724250c83fcaeb95f07c0ec7f3c3bcca7a6bee2cc41a6bf204a287678c4 1518878 scalasca_2.0-1_amd64.deb
Files: 
 9e5dda831184c988de2cc3e46143595e 1299 devel extra scalasca_2.0-1.dsc
 9eeeaa026f664ad6b968052f55994d17 5241453 devel extra scalasca_2.0.orig.tar.bz2
 3407ff23b6f9b9741108e3bc7a1d73a5 3646 devel extra scalasca_2.0-1.debian.tar.gz
 40f0b2d323b72cb8fb6a64b5a81f5a6a 1518878 devel extra scalasca_2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlIvIJoACgkQiOXXM92JlhCF4QCggur1tvP+TKMDCkVKHHLTo9d/
Un8AoIuOZ4+u4VQDr4QQL9RnmrFqLgey
=bBHG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Oct 2013 07:27:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:05:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.